import React from 'react';
import { NavLink } from 'react-router-dom';
import { MAIN_LINKS } from '../../constants/route';
import './header.less';

export default class Header extends React.Component {
  render() {
    return (
      <header className="header-wrapper clearfix">
        <span className="logo-title">
          <span className="logo" />
          <span className="title">CMSS-REACT</span>
        </span>
        <ul className="menu clearfix">
          {
            MAIN_LINKS.map(({ name, path, exact }) => (
              <li className="menu-item" key={name}>
                <NavLink to={path} exact={exact} activeClassName="active">{name}</NavLink>
              </li>
            ))
          }
        </ul>
        <div className="user-info">
          <span className="user-name">ADMIN</span>
          <a className="user-exit">退出</a>
        </div>
      </header>
    );
  }
}
