import React from 'react';
import ReactDOM from 'react-dom';
import { HashRouter } from 'react-router-dom';
import { Provider } from 'react-redux';
import { ConfigProvider } from 'antd';
import zhCN from 'antd/es/locale/zh_CN';
import configureStore from './store/configureStore';
import App from './containers/App';
import './mock/mock-util';
import 'index.html';
import './stylesheets/favicon.ico';
import './stylesheets/reset.less';

const store = configureStore();

ReactDOM.render(
  <Provider store={store}>
    <ConfigProvider locale={zhCN}>
      <HashRouter>
        <App />
      </HashRouter>
    </ConfigProvider>
  </Provider>,
  document.getElementById('root'),
);
