import PTUtil from '../utils/pt-util';
import { getDispatch } from './util';

const GET_TECHNOLOGIES = PTUtil.buildRequest('GET_TECHNOLOGIES');

export const actions = {
  getTechnologies: () => getDispatch(
    'technology/list',
    null,
    GET_TECHNOLOGIES,
  ),
};

const initialState = {
  technologiesLoading: false,
  technologies: [],
};
export default function reducer(state = initialState, action = null) {
  switch (action.type) {
    case GET_TECHNOLOGIES.LOADING: {
      const { loading = false } = action;
      return {
        ...state,
        technologiesLoading: loading,
      };
    }
    case GET_TECHNOLOGIES.SUCCESS: {
      const { data = [] } = action;
      return {
        ...state,
        technologies: data,
      };
    }

    default:
      return state;
  }
}
