import React from 'react';
import { connect } from 'react-redux';
import { actions } from '../../modules/home';
import Technologies from './technologies';
import './index.less';

class Home extends React.Component {
  componentDidMount() {
    this.props.getTechnologies();
  }

  render() {
    const { technologiesLoading, technologies } = this.props;
    return (
      <div className="home-wrapper">
        <div className="title">欢迎使用!</div>
        <Technologies
          {...{
            list: technologies,
            loading: technologiesLoading,
          }}
        />
      </div>
    );
  }
}
const mapStateToProps = (state) => state.home;
export default connect(mapStateToProps, actions)(Home);
