import React from 'react';
import PropTypes from 'prop-types';
import { Spin, Tag } from 'antd';
import './technologies.less';

function Technologies({ className, list, loading } = {}) {
  return (
    <div className={`technologies-wrapper ${className}`}>
      <Spin spinning={loading}>
        <div className="technologies-list">
          {
            list.map((name) => (
              <Tag key={name}>{name}</Tag>
            ))
          }
        </div>
      </Spin>
    </div>
  );
}

Technologies.propTypes = {
  className: PropTypes.string,
  list: PropTypes.array,
  loading: PropTypes.bool,
};
Technologies.defaultProps = {
  className: '',
  list: [],
  loading: false,
};
export default Technologies;
