import React from 'react';
import { Route, Redirect, Switch } from 'react-router-dom';
import Loadable from 'react-loadable';
import Loading from '../components/Card/loading';

const getLoadableComponent = (path) => (
  Loadable({
    loader: () => import(`../routes/${path}`),
    loading: Loading,
  })
);

const RouteList = (routes) => routes.map(({ path, component, exact }) => (
  <Route
    exact={exact}
    key={path}
    path={path}
    component={getLoadableComponent(component)}
  />
));

const Routers = ({ routes } = {}) => (
  <Switch>
    {
      RouteList(routes)
    }
    <Redirect to="/" />
  </Switch>
);

export default Routers;
