/**
 * Created by luxia on 2019/9/18.
 */
import axios from 'axios';
import PTUtil from './pt-util';
import { TOKEN_KEY } from '../constants/const';

// 全局header Token信息
const TOKEN = PTUtil.SESSION.get(TOKEN_KEY);
axios.defaults.headers.common.Authorization = `bearer ${TOKEN}`;

// 全局拦截错误
axios.interceptors.response.use((success) => {
  const { data } = success;
  return Promise.resolve(data);
}, (error) => {
  PTUtil.openNotification('error', error.message);
  return Promise.reject(error);
});

// url地址前缀
const prefix = () => {
  const env = process.env.NODE_ENV;
  if (env.indexOf('server') !== -1) {
    return 'http://localhost:7079/';
  }
  return '/';
};

// http方法
const http = {
  GET: axios.get,
  POST: axios.post,
  PUT: axios.put,
  DELETE: axios.delete,
};

export {
  http,
  prefix,
};
