import L from 'leaflet';
import 'leaflet/dist/leaflet.css';
import PTUtil from './pt-util';

const BASE_URL = `${PTUtil.getBaseService()}gis-8089`;
const MAP_CONFIG = '/tileServer?maptype=2&number=123456789&x={x}&y={y}&z={z}&key=5592f4830d22caccc27546e61faf9048';
const URL = `${BASE_URL}${MAP_CONFIG}`;

const initMap = (id) => {
  const map = L.map(id, {
    zoomControl: true,
    attributionControl: false,
    minZoom: 4,
  }).setView([39.90, 116.40], 10);

  map.zoomControl.setPosition('bottomright');

  L.tileLayer(URL, {
    maxZoom: 17,
    minZoom: 3,
  }).addTo(map);

  return map;
};
export {
  initMap,
};
