import { notification } from 'antd';
import _ from 'lodash';

const SESSION = {
  set: (key, value) => {
    sessionStorage.setItem(key, value);
  },
  get: (key) => sessionStorage.getItem(key),
  delete: (key) => {
    sessionStorage.removeItem(key);
  },
};

const LOCAL = {
  set: (key, value) => {
    localStorage.setItem(key, value);
  },
  get: (key) => localStorage.getItem(key),
  delete: (key) => {
    localStorage.removeItem(key);
  },
};

const PTUtil = {
  SESSION,
  LOCAL,

  // reducer命名
  buildRequest(pre) {
    return ({
      LOADING: `${pre}_LOADING`,
      SUCCESS: `${pre}_SUCCESS`,
    });
  },

  // 弹出框
  openNotification(type, title, duration = 3, description, key) {
    notification[type]({
      message: _.isNil(title) ? '提示信息' : title,
      description,
      duration,
      key,
      style: {
        marginTop: '50px',
      },
    });
  },

  // url
  getBaseService() {
    const { protocol, host } = window.location;
    return `${protocol}//${host}/`;
  },
};

export default PTUtil;
